
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Overview: module code &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css" />
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="../_static/doctools.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>All modules for which code is available</h1>
<ul><li><a href="nl2declare.html">nl2declare</a></li>
<ul><li><a href="nl2declare/actmatching/activity_matching_bert.html">nl2declare.actmatching.activity_matching_bert</a></li>
<li><a href="nl2declare/actmatching/activity_matching_word2vec.html">nl2declare.actmatching.activity_matching_word2vec</a></li>
<li><a href="nl2declare/application/d4py.html">nl2declare.application.d4py</a></li>
<li><a href="nl2declare/constructs/action.html">nl2declare.constructs.action</a></li>
<li><a href="nl2declare/constructs/constraint_type.html">nl2declare.constructs.constraint_type</a></li>
<li><a href="nl2declare/constructs/declare_constraint.html">nl2declare.constructs.declare_constraint</a></li>
<li><a href="nl2declare/constructs/declare_model.html">nl2declare.constructs.declare_model</a></li>
<li><a href="nl2declare/constructs/interrelation.html">nl2declare.constructs.interrelation</a></li>
<li><a href="nl2declare/constructs/noun_phrase.html">nl2declare.constructs.noun_phrase</a></li>
<li><a href="nl2declare/constructs/relation_type.html">nl2declare.constructs.relation_type</a></li>
<li><a href="nl2declare/constructs/text_model.html">nl2declare.constructs.text_model</a></li>
<li><a href="nl2declare/evaluation/evaluator.html">nl2declare.evaluation.evaluator</a></li>
<li><a href="nl2declare/lingproc/declare_constructor.html">nl2declare.lingproc.declare_constructor</a></li>
<li><a href="nl2declare/lingproc/text_parser.html">nl2declare.lingproc.text_parser</a></li>
<li><a href="nl2declare/test/lingproc/test_declare_constructor.html">nl2declare.test.lingproc.test_declare_constructor</a></li>
<li><a href="nl2declare/test/lingproc/test_text_parser.html">nl2declare.test.lingproc.test_text_parser</a></li>
<li><a href="nl2declare/test/test__main__.html">nl2declare.test.test__main__</a></li>
<li><a href="nl2declare/test/utils/test_io.html">nl2declare.test.utils.test_io</a></li>
<li><a href="nl2declare/test/utils/test_wordclasses.html">nl2declare.test.utils.test_wordclasses</a></li>
<li><a href="nl2declare/utils/io.html">nl2declare.utils.io</a></li>
<li><a href="nl2declare/utils/word_classes.html">nl2declare.utils.word_classes</a></li>
</ul></ul>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules.html">nl2declare</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
    </div>

    

    
  </body>
</html>